View Issue Details

IDProjectCategoryView StatusLast Update
0004236unrealinstallingpublic2013-11-24 16:46
ReporterQIXOZLAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSosxOS Version10.6.8
Product Version3.2.10.1 
Target VersionFixed in Version3.2.10.2 
Summary0004236: s_bsd.c / setpgrp -- not fixed
Descriptioni couldn't add a comment to http://bugs.unrealircd.org/view.php?id=3638 so i've seen no other way than to open a new one.

anyway despite the linked report says fixed it's not. it just happened to me with 3.2.10.1 and i can confirm that changing it to setpgid seems to solve it.
TagsNo tags attached.
3rd party modules

Relationships

related to 0003638 resolvedsyzop Compile error on Mac OS X 
related to 0004285 resolvedsyzop Compile error on Mac OS X 

Activities

syzop

2013-09-20 20:55

administrator   ~0017763

I see. That means that the #if [..] defined(OSXTIGER) isn't triggering (a few above the problematic code line).

It should be defined in sys.h by:
/*
 * Mac OS X Tiger Support (Intel Only)
 */
#if defined(macosx) || (defined(__APPLE__) && defined(__MACH__))
#define OSXTIGER
#endif

So apparently these macro's are not triggering the #define OSXTIGER, or at least not in the version you are using (10.6.8).


Probably something easy.

QIXOZL

2013-09-20 21:34

reporter   ~0017764

Last edited: 2013-09-20 21:40

View 2 revisions

there is no sys.h on osx and grepping through the usual places did not reveal any occurance of OSXTIGER either.

i'd think just checking for __APPLE__ and using setpgid in those cases should do it.


EDIT: just checked on freebsd 9 and there it's fine with clang.

syzop

2013-09-20 21:49

administrator   ~0017765

sys.h in include/ in UnrealIRCd :)

Could you check if changing the line in include/sys.h from:
#if defined(macosx) || (defined(__APPLE__) && defined(__MACH__))
to:
#if defined(macosx) || defined(__APPLE__)

fixes things?

(+restore the original code in src/s_bsd.c of course)

I can't see any other reason for __APPLE__ to be defined, so it's probably safe.

QIXOZL

2013-09-20 22:09

reporter   ~0017766

>> sys.h in include/ in UnrealIRCd :)

oh lol, that's what using foss stuff on non-linux did to my thinking ;-P


>> Could you check if changing the line in include/sys.h ...

that did the job indeed. however OSXTIGER might not be an appropriate term anymore ^^

QIXOZL

2013-11-24 02:09

reporter   ~0017846

still present in in 3.2.10.2

syzop

2013-11-24 11:42

administrator   ~0017848

Ah yes, just silly that wasn't put in yet. Will be part of the updated 3.2.10.2.

http://hg.unrealircd.com/hg/unreal/rev/90da005ec35a
Changelog:
Fix for OS X so it can actually compile. Reported by QIXOZL (0004236).

syzop

2013-11-24 16:46

administrator   ~0017850

3.2.10.2 has been updated with this + the c-ares fix.

Issue History

Date Modified Username Field Change
2013-09-20 03:37 QIXOZL New Issue
2013-09-20 20:52 syzop Relationship added related to 0003638
2013-09-20 20:55 syzop Note Added: 0017763
2013-09-20 20:55 syzop Status new => acknowledged
2013-09-20 21:34 QIXOZL Note Added: 0017764
2013-09-20 21:40 QIXOZL Note Edited: 0017764 View Revisions
2013-09-20 21:49 syzop Note Added: 0017765
2013-09-20 22:09 QIXOZL Note Added: 0017766
2013-11-24 02:09 QIXOZL Note Added: 0017846
2013-11-24 11:42 syzop Note Added: 0017848
2013-11-24 11:42 syzop Status acknowledged => resolved
2013-11-24 11:42 syzop Fixed in Version => 3.2.10.2
2013-11-24 11:42 syzop Resolution open => fixed
2013-11-24 11:42 syzop Assigned To => syzop
2013-11-24 16:46 syzop Note Added: 0017850
2014-03-14 01:14 peterkingalexander Issue cloned: 0004278